{% load static %}
<!doctype html>
<html lang="fr" class="h-100">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <title>Manager SOS Laveries - BdE INSA Lyon</title>
    <link rel="icon" href="{% static "favicon.ico" %}"/>
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css"
          integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
    <style>
        main > .container {
            padding: 70px 15px 0;
        }

        .footer {
            background-color: #f5f5f5;
        }

        .footer > .container {
            padding-right: 15px;
            padding-left: 15px;
        }

        code {
            font-size: 80%;
        }
    </style>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"
            integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.4.4/umd/popper.min.js"
            integrity="sha512-eUQ9hGdLjBjY3F41CScH3UX+4JDSI9zXeroz7hJ+RteoCaY+GP/LDoM8AO+Pt+DRFw3nXqsjh9Zsts8hnYv8/A=="
            crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
            integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"
            integrity="sha384-i+dHPTzZw7YVZOx9lbH5l6lP74sLRtMtwN2XjVqjf3uAGAREAF4LMIUDTWEVs4LI"
            crossorigin="anonymous"></script>
</head>

<body class="d-flex flex-column h-100">
<header>
    <!-- Fixed navbar -->
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <a class="navbar-brand" href="{% url "to_refund_list" %}">SOS Laveries</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
                aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item {% if request.resolver_match.url_name == 'to_refund_list' %}active{% endif %}">
                    <a class="nav-link" href="{% url "to_refund_list" %}">A Rembourser</a>
                </li>
                <li class="nav-item {% if request.resolver_match.url_name == 'to_treat_list' %}active{% endif %}">
                    <a class="nav-link" href="{% url "to_treat_list" %}"> Ticket à traiter <span
                            class="badge badge-pill badge-{% if user.user_new_ticket > 0 %}danger{% else %}success{% endif %}">{{ user.user_new_ticket }}</span></a>
                </li>
                <li class="nav-item {% if request.resolver_match.url_name == 'all_list' or request.resolver_match.url_name == 'show_ticket' %}active{% endif %}">
                    <a class="nav-link" href="{% url "all_list" %}">Tous les tickets</a>
                </li>
                <li class="nav-item {% if request.resolver_match.url_name == 'stats' %}active{% endif %}">
                    <a class="nav-link" href="{% url "stats" %}">Statistiques</a>
                </li>
                <li class="nav-item {% if request.resolver_match.url_name == 'display_reviews' %}active{% endif %}">
                    <a class="nav-link" href="{% url "display_reviews" %}">Retours utilisateur</a>
                </li>
                {% if user.is_staff %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url "admin:index" %}" style="color: red;">Administration Django</a>
                    </li>
                {% endif %}
            </ul>
            <div class="btn-group dropleft mt-2 mt-md-0">
                <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                    <i class="far fa-user"> {{ user.username }}</i>
                </button>
                <div class="dropdown-menu">
                    <a class="dropdown-item" href="{% url "logout" %}" style="color: red"><i
                            class="fas fa-user-lock"></i> Déconnexion</a>
                </div>
            </div>

        </div>
    </nav>
</header>


<!-- Begin page content -->
<main role="main" class="flex-shrink-0">
    <div class="container">
        {% block content %}{% endblock %}
    </div>
</main>

<footer class="footer mt-auto py-3">
    <div class="container">
        <div class="row">
            <div class="col" style="text-align: center">
                <p class="mt-3 mb-3 text-muted">
                    <b>&copy;</b> <a href="https://gitlab.com/sia-insa-lyon" target="_blank" style="color: grey">SIA
                    INSA Lyon</a>, 2020 -- <a href="{% url 'legal-terms' %}" class="text-secondary">Mentions légales</a>
            </div>
        </div>
    </div>

</footer>
</body>
</html>
